Name:           calcurse
Version:        4.3.0
Release:        %mkrel 1
Summary:        Text-based personal organizer
Group:          Office
License:        BSD
URL:            http://calcurse.org
Source0:        http://calcurse.org/files/%{name}-%{version}.tar.xz
Source1:	%name.desktop
BuildRequires:  gettext-devel
BuildRequires:  ncurses-devel
BuildRequires:  autoconf automake asciidoc

%description
Calcurse is a text-based calendar and scheduling application. It helps 
keep track of events, appointments, and everyday tasks.

A configurable notification system reminds the user of upcoming 
deadlines, and the curses based interface can be customized to suit user 
needs.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -pm 0644 doc/calcurse.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -Dpm 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop
# too many doc-files?
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%name

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md doc/*.txt
%{_bindir}/calcurse*
%{_datadir}/applications/*
%{_mandir}/man1/calcurse.1.*


%changelog
* Tue Dec 05 2017 Zen Subz <techars21 at gmail dot com> - 4.3.0-1pclos2017
- Build for PCLinuxOS
